exit(1)

NAME
exitexit - exit the shell
 -

  Synopsis

exit [STATUS]

  Description
exit causes fish to exit. If STATUS is supplied, it will be converted to an integer and used as the exit code. Otherwise, the exit code will be that of the last command executed.

If exit is called while sourcing a file (using the source builtin) the rest of the file will be skipped, but the shell itself will not exit.